#!/usr/bin/python
import serial
import time
import sys

com = serial.Serial(port='/dev/ttyS11', baudrate=57600, timeout=5)
com.flushInput()

i = 0
while True:
    size = 0
    while size < 4:
        try:
            size = input('Enter a packet size (>=4): ')
        except KeyboardInterrupt:
            sys.exit(0)
        except:
            print('Must be an integer...')

    
    data = 'S{i}{mid}F{i}'.format(i=i, mid='*'*(size-4))
    print 'Sending the data %d (%d size)' % (i, len(data))
    com.write(data)
    i = (i+1)%10
